LIMBO Gets First iOS Update to Fix Bugs

Version 1.0.3 fixes crash, identifies iPod touch 4G as “unsupported”

By on July 8th, 2013 08:52 GMT

LIMBO Game has barely been launched on the iOS App Store and its developers have already released a bug-fix update to address some issues with the game, as well as to clarify which devices are supported and which are not.

According to Playdead, LIMBO Game version 1.0.3 fixes a rare crash on devices using a non-western-latin alphabet, and now correctly identifies the fourth-generation iPod touch as an unsupported device.

The game’s description admittedly starts off with an “IMPORTANT” note which states that LIMBO “requires at least iPad 2, iPhone 4S or iPod touch (5th gen) - or newer.”

However, that doesn’t do much good to customers who are inclined to check with the title’s official (iTunes) requirements list, which mentions iPhone 3GS and other old hardware as compatible.

It isn’t clear whose fault this is (Apple or Playdead’s), and LIMBO is just one of numerous apps whose “system requirements” are messed up.

Download LIMBO Game for iPhone and iPad

2 Comments